Custom domains

    GET https://akorlis.com/api/domains/
    curl --request GET \
    --url 'https://akorlis.com/api/domains/' \
    --header 'Authorization: Bearer {api_key}' \
    Parameters Details Description
    search Optional String The search string.
    search_by Optional String What field are you searching by. Allowed values are: host.
    is_enabled Optional Boolean
    datetime_field Optional String Allowed values: datetime, last_datetime
    datetime_start Optional String api_documentation.filters.datetime_start
    datetime_end Optional String api_documentation.filters.datetime_end
    order_by Optional String What field to order the results by. Allowed values are: domain_id, datetime, last_datetime, host.
    order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
    page Optional Integer The page number that you want results from. Defaults to 1.
    results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
    {
        "data": [
            {
                "id": 1,
                "scheme": "https://",
                "host": "example.com",
                "custom_index_url": "",
                "is_enabled": true,
                "last_datetime": null,
                "datetime": "2026-06-27 17:29:55",
            },
        ],
        "meta": {
            "page": 1,
            "results_per_page": 25,
            "total": 1,
            "total_pages": 1
        },
        "links": {
            "first": "https://akorlis.com/api/domains?page=1",
            "last": "https://akorlis.com/api/domains?page=1",
            "next": null,
            "prev": null,
            "self": "https://akorlis.com/api/domains?page=1"
        }
    }
    GET https://akorlis.com/api/domains/{domain_id}
    curl --request GET \
    --url 'https://akorlis.com/api/domains/{domain_id}' \
    --header 'Authorization: Bearer {api_key}' \
    {
        "data": {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-27 17:29:55",
        }
    }
    POST https://akorlis.com/api/domains
    Parameters Details Description
    host Required String -
    custom_index_url Optional String -
    custom_not_found_url Optional String -
    curl --request POST \
    --url 'https://akorlis.com/api/domains' \
    --header 'Authorization: Bearer {api_key}' \
    --header 'Content-Type: multipart/form-data' \
    --form 'host=example.com' \
    --form 'custom_index_url=https://example.com/' \
    --form 'custom_not_found_url=https://example.com/404-page'
    {
        "data": {
            "id": 1
        }
    }
    POST https://akorlis.com/api/domains/{domain_id}
    Parameters Details Description
    host Optional String -
    custom_index_url Optional String -
    custom_not_found_url Optional String -
    curl --request POST \
    --url 'https://akorlis.com/api/domains/{domain_id}' \
    --header 'Authorization: Bearer {api_key}' \
    --header 'Content-Type: multipart/form-data' \
    --form 'host=example.com' \
    {
        "data": {
            "id": 1
        }
    }
    
    DELETE https://akorlis.com/api/domains/{domain_id}
    curl --request DELETE \
    --url 'https://akorlis.com/api/domains/{domain_id}' \
    --header 'Authorization: Bearer {api_key}' \